> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-60c89f9a-mintlify-audit-missing-sections-1778528421.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Standard Payment Links With ID

> **GET** `/v1/payment_links/:id`

Use this endpoint to retrieve the details of a Standard Payment Link using its id.

### Request

````cURL: Curl theme={null}
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
- X GET https://api.razorpay.com/v1/payment_links/plink_KBnb7I424Rc1R9 \
- H "content-type: application/json"

```php: PHP
$api = new Api($key_id, $secret);

$api->paymentLink->fetch($paymentLinkId);

```javascript: Node.js
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET', headers : { 'Content-Type': 'application/json' }})

instance.paymentLink.fetch(paymentLinkId)

```python: Python
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

client.payment_link.fetch(paymentLinkId)

```go: Go
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

body, err := client.PaymentLink.Fetch("", nil, nil)

```ruby: Ruby
require "razorpay"
Razorpay.setup('key_id', 'key_secret')

paymentLinkId = "plink_ExjpAUN3gVHrPJ"

Razorpay::PaymentLink.fetch(paymentLinkId)

```java: Java
import org.json.JSONObject;
import com.razorpay.Payment;
import com.razorpay.RazorpayClient;
import com.razorpay.RazorpayException;

RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
String paymentLinkId = "plink_FMbhpT6nqDjDei";

PaymentLink payment = razorpay.paymentLink.fetch(paymentLinkId);

```csharp: .NET
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

string paymentLinkId = "plink_Z6t7VFTb9xHeOs";

PaymentLink paymentlink = client.PaymentLink.Fetch(paymentLinkId);
````

### Response

````json: Success theme={null}
{
  "accept_partial": true,
  "amount": 10000,
  "amount_paid": 10000,
  "cancelled_at": 0,
  "created_at": 1661852539,
  "currency": "INR",
  "customer": [],
  "description": "Grocery",
  "expire_by": 0,
  "expired_at": 0,
  "first_min_partial_amount": 100,
  "id": "plink_KBnb7I424Rc1R9",
  "notes": null,
  "notify": {
    "email": false,
    "sms": false
  },
  "order_id": "order_KBneAVhT2zbzsU",
  "payments": [
    {
      "amount": 10000,
      "created_at": 1661852741,
      "method": "card",
      "payment_id": "pay_KBnebtRrhTEatJ",
      "status": "captured"
    }
  ],
  "reference_id": "111",
  "reminder_enable": false,
  "reminders": [],
  "short_url": "https://rzp.io/i/alaBxs0i",
  "status": "paid",
  "updated_at": 1661852741,
  "upi_link": false,
  "user_id": "HD1JAKCCPGDfRx"
}

```json: Failure
{
  "error": {
    "code": "BAD_REQUEST_ERROR",
    "description": "invalid input [strippedId] = [KBnb7I424Rc1R]",
    "metadata": [],
    "reason": null,
    "source": null,
    "step": null
  }
}
````

### Parameters

`id` *mandatory*
: `string` Unique identifier of the Payment Link.

### Parameters

`accept_partial`
: `boolean` Indicates whether customers can make [partial payments](/payments/payment-links/partial-payments) using the Payment Link. Possible values:

* `true`: Customer can make partial payments.
* `false` (default): Customer cannot make partial payments.

`amount`
: `integer` Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value `30000`. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.

<Warning>
  **Watch Out!**

  As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as `99990` and not `99991`.

  `amount_paid`
  : `integer` Amount paid by the customer.

  `callback_url`
  : `string` If specified, adds a redirect URL to the Payment Link. Once the customer completes the payment, they are redirected to the specified URL.

  `callback_method`
  : `string` If `callback_url` parameter is passed, `callback_method` must be passed with the value `get`.

  `cancelled_at`
  : `integer` Timestamp, in Unix, at which the Payment Link was cancelled by you.

  `created_at`
  : `integer` Timestamp, in Unix, indicating when the Payment Link was created.

  `currency`
  : `string` Defaults to INR. We accept payments in [international currencies.](/payments/international-payments#supported-currencies)

  <Info>
    **Handy Tips**
  </Info>

  Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about [Currency Conversion](/payments/international-payments/currency-conversion) (May 2024).

  .

  `customer`
  : `json object` Customer details.

  `name`
  : `string` The customer's name.

  `email`
  : `string` The customer's email address.

  `contact`
  : `string` The customer's phone number.

  `description`
  : `string` A brief description of the Payment Link.

  `expire_by`
  : `integer` Timestamp, in Unix, when the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.

  `expired_at`
  : `integer` Timestamp, in Unix, at which the Payment Link expired.

  `first_min_partial_amount`
  : `integer` Minimum amount that must be paid by the customer as the first partial payment. For example, if an amount of  is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as `500000`.

  `id`
  : `string` Unique identifier of the Payment Link. For example, `plink_ERgihyaAAC0VNW`.

  `upi_link`
  : `boolean` Indicates whether the Payment Link is a UPI Payment Link.

  * `true`: A UPI Payment Link has been created.
  * `false`: It is a Standard Payment Link.

  `notes`
  : `object` Set of key-value pairs that you can use to store additional information. You (Businesses) can enter a maximum of 15 key-value pairs, with each value having a maximum limit of 256 characters.

  `notify`
  : `array` Defines who handles Payment Link notification.

  `sms`
  : `boolean` Defines who handles the SMS notification.

  * `true`: Razorpay handles the notification.
  * `false`: Businesses handle the notification.

  `email`
  : `boolean` Defines who handles the email notification.

  * `true`: Razorpay handles the notification.
  * `false`: Businesses handle the notification.

  `payments`
  : `array` Payment details such as amount, payment id, Payment Link id and more are stored in this array. It is populated only after a payment is successfully captured by the customer. Only captured payments will be shown here. Until then, the value is `null`.

  `amount`
  : `integer` The amount paid by the customer using the Payment Link.

  `created_at`
  : `integer` Timestamp, in Unix, indicating when the payment was made.

  `method`
  : `string` The payment method used to make the payment. Possible values:

  * `netbanking`
  * `card`
  * `wallet`
  * `upi`
  * `emi`
  * `bank_transfer`

  `payment_id`
  : `string` Unique identifier of the payment made against the Payment Link.

  `plink_id`
  : `string` Unique identifier of the Payment Link. For example, `plink_ERgihyaAAC0VNW`.

  `status`
  : `string` The payment state. Possible value is `captured`.

  `updated_at`
  : `integer` Timestamp, in Unix, indicating when the payment was updated.

  `reference_id`
  : `string` Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.

  `short_url`
  : `string` The unique short URL generated for the Payment Link.

  `status`
  : `string` Displays the current state of the Payment Link. Possible values:

  * `created`
  * `partially_paid`
  * `expired`
  * `cancelled`
  * `paid`

  `updated_at`
  : `integer` Timestamp, in Unix, indicating when the Payment Link was updated.

  `reminder_enable`
  : `boolean` Used to send [reminders](/payments/payment-links/reminders) for the Payment Link. Possible values:

  * `true`: To send reminders.
  * `false`: To disable reminders.

  `user_id`
  : `string` A unique identifier for the user role through which the Payment Link was created. For example, `HD1JAKCCPGDfRx`.
</Warning>

### Errors

invalid input \[strippedId] = \[xxxxxxxxxxxx]

* code: 400
* description: An invalid Payment Link id has been passed.
* solution: Ensure that a valid Payment Link id is sent in the API endpoint.

The id provided does not exist

* code: 400
* description: The Payment Link does not belong to the requestor business, or it doesn't exist.
* solution: Ensure that the Payment Link is valid and belongs to the requestor business.

The api \{key/secret} provided is invalid

* code: 4xx
* description: There is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.
* solution: Make sure that: - The API Keys are active and entered correctly.

- There are no white-spaces before or after the keys.
